IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> KISCFG & SI module update error
Kai.T
post 16.03.2017 23:19
Post #1


Member
**

Group: Members
Posts: 20
Joined: 26.10.2012




Kaspersky Update Utility showed "Update distribution completed successfully" But KIS 16.0.1.445g update failed with "KISCFG" and "SI" update error.It said the source didn't contain the needed files.After I switched the update source to the online servers,it could update without any issue.Then I tested on another PC,deleted the source folder and re-downloaded the whole update distribution,KIS gave the same error.

I checked the log and found this issue occurred yesterday just after KIS upgraded to Patch G.

Does the Utility miss some files,which should be snatched, on the update server?

This post has been edited by Kai.T: 16.03.2017 23:21
Go to the top of the page
 
+Quote Post
Kai.T
post 25.03.2017 22:43
Post #2


Member
**

Group: Members
Posts: 20
Joined: 26.10.2012




Please update updater.xml in /updates/bin/kuuc/.

Now KIS2016 log always showed this component "SI" failed to be updated from update distribution.But it showed "no need of updates" from online server.

At last I found there is no SI folder in update distribution because the Utility never downloads SI folder from the server.
Go to the top of the page
 
+Quote Post
zito
post 11.04.2017 19:41
Post #3


Newbie
*

Group: Members
Posts: 6
Joined: 19.03.2010




I confirm the existence of this problem.

When we perform an update of KAS 17.0.0.611 (d) from local repository prepared by KUU (Retlanslator), an error message appears - there is no module required to update: "KISCFG".

- but, when we perform an update of KAV 17.0(d) directly from Kaspersky servers there is no problem with mentioned "KISCFG" module.


BR
Tomek
Go to the top of the page
 
+Quote Post
Thomas_M
post 2.05.2017 21:29
Post #4


Newbie
*

Group: Members
Posts: 2
Joined: 18.06.2011




temporary fix:
edit Program Files (x86)\Kaspersky Update\Bases\updater.xml

CODE
      <element>
        <name>KasperskyAntiVirus_16_0_1</name>
        <version>16.0.1.445</version>
        <component>ADBU;APD;APU;ARK;BB;BLST2;CORE;DNT;EMU;HIPS2;IA;IDS;KAV16;KDB;KFPE;KSN;OSSL;
PARCTL;PAS5;QSCAN;SCO;SSA;SUPD;SW2;UDS;UPDATER;VKC;VLNS;WA;WMUF</component>
        <tree>index/u1313g.xml</tree>
        <App>KAV 16.0.1.445</App>
        <Arch>i386</Arch>
        <SysArch>i386;x64</SysArch>
      </element>


and replace with

CODE
<component>ADBU;APD;APU;ARK;BB;BLST2;CORE;DNT;EMU;HIPS2;IA;IDS;KAV16;KISCFG;KDB;KFPE;KS
N;OSSL;PARCTL;PAS5;QSCAN;SCO;SI;SSA;SUPD;SW2;UDS;UPDATER;VKC;VLNS;WA;WMUF</component>


The next update will download the missing files
Unfortunately updater.xml is overwritten again.
But the files remain on the local server and the clients (KIS2016) can download their signatures again without errors.

mfg
Thomas
Go to the top of the page
 
+Quote Post
hopperace
post 5.05.2017 05:38
Post #5


Newbie
*

Group: Members
Posts: 3
Joined: 5.05.2017




Same problem here. Everything was working fine with 2 months left on this years license. Decade long user. Update runs, but after 100% completed it still says "Databases are out of date". And it was a bear trying to get customer support or to log in here with existing account - I had to create another.

So you're saying if we just wait it out further updates will fix the problem? I'm not proficient tampering with code.

This post has been edited by hopperace: 5.05.2017 05:40
Go to the top of the page
 
+Quote Post
Thomas_M
post 5.05.2017 17:51
Post #6


Newbie
*

Group: Members
Posts: 2
Joined: 18.06.2011




You only have to add KISCFG and SI under <component>.
Is not really difficult.
The files rarely change.
Go to the top of the page
 
+Quote Post
richbuff
post 5.05.2017 22:11
Post #7


Helper
*****************

Group: Global moderators

Posts: 1009748
Joined: 14.06.2007




Also,

QUOTE(hopperace @ 4.05.2017 18:38) *
Same problem here. Everything was working fine with 2 months left on this years license. Decade long user. Update runs, but after 100% completed it still says "Databases are out of date". And it was a bear trying to get customer support or to log in here with existing account - I had to create another.

So you're saying if we just wait it out further updates will fix the problem? I'm not proficient tampering with code.
You don't have to. Instead, two things: Please see: https://forum.kaspersky.com/index.php?showtopic=219110

And: Please see the small print that is located at the bottom of this message.


--------------------
Please see the Important topics, located at the top of this section, and at the top of other sections of this forum.
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic

 



Lo-Fi Version Time is now: 23.06.2017 22:58